/*
	Nabaztag API
	Copyright 2007 Shannon Hicks
	http://www.iotashan.com/nabaztagexplorer/
	
	Released for use under GPL v2
	http://www.gnu.org/copyleft/gpl.html
*/
package org.iotashan.nabaztagAPI {
	/**
	 * A voice to be used by the TTS engine.
	 * You can get a list of voices by requesting
	 * an action of 9 in the API call.
	*/
	public class NabaztagVoice {
		private var _language:String;
		private var _command:String;
		
		/**
		 * Constructor method.
		*/
		public function NabaztagVoice(language:String,command:String) {
			_language = language;
			_command = command;
		}
		
		// getter/setter methods
		/**
		 * Language that this voice uses.
		*/
		public function get language():String {
			return _language;
		}
		
		/**
		 * @private
		*/
		public function set language(value:String):void {
			_language = value;
		}
		
		/**
		 * The voice's name.
		*/
		public function get command():String {
			return _command;
		}
		
		/**
		 * @private
		*/
		public function set command(value:String):void {
			_command = value;
		}
	}
}