/*
	Nabaztag Explorer
	Copyright 2007 Shannon Hicks
	http://www.iotashan.com/nabaztagexplorer/
	
	Released for use under GPL v2
	http://www.gnu.org/copyleft/gpl.html
*/

/**
 * The ChoreographyEditorEvent is used to pass a 
 * NabaztagChoreographyCommand from the ChoreographyEditor
 * popup back to the main appliction. This is a great simple
 * example of a custom event.
*/

package org.iotashan.nabaztagExplorer
{
	import flash.events.Event;
	
	import org.iotashan.nabaztagAPI.NabaztagChoreographyCommand;

	public class ChoreographyEditorEvent extends Event
	{
		public var chosenEvent:NabaztagChoreographyCommand;
		
		public function ChoreographyEditorEvent(type:String, chosenEvent:NabaztagChoreographyCommand, bubbles:Boolean=true, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			this.chosenEvent = chosenEvent;
		}
		
		override public function clone():Event {
			return new ChoreographyEditorEvent(type,chosenEvent,bubbles,cancelable);
		}
	}
}